//import java.io.Serializable;
import java.util.Collection;

//interface I extends Serializable {
interface I {
  Collection getCollection();
}

class C {
  protected boolean hasString(String s, I i) {
    return i != null
    	&& i.getCollection() != null
	&& i.getCollection().contains(s);
  }
}
